1 Reply Latest reply on Oct 20, 2015 6:34 AM by cwinning

    Upgrade from 9.1.0 to 9.2  - upgrade database error

    Rookie

           Hello,

       

      When I tried to upgrade to the latest Shavlik protect form 9.1.0 Patch 3 to 9.2 I get the error message below.  The DB is running on our SQL (2008) server not locally.  The server is running Server 2008 R2 (64-Bit)

      Violation of UNIQUE KEY constraint 'UK_Cve_cveID'.  Cannot insert duplcate key in object 'dbo.Cve'.  The statement has been terminated

       

      Capture.PNG

        • 1. Re: Upgrade from 9.1.0 to 9.2  - upgrade database error
          cwinning CommunityTeam

          Hello,

           

          This is a known defect that will be fixed in the GA release code, until then you can run this query against the database to correct the issue:

           

          Instructions:

           

          The file is attached to this post.

          Extract Duplicate_UK_Cve_cveid.zip

          Open SQL Server Management Studio

          Connect to the database that contains the Protect database

          Backup the Protect upgrade database

          Open Duplicate_UK_Cve_cveid.sql into a query window

          Read disclaimer at the top

          Select the Protect database

          Execute the script

          Save the results to a text file for support if there are any problems.

          Attempt to reproduce the issue.


          Let me know if you have any questions.


          Thanks,

          Charles